# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(HTML/Entities.pm) perl(Kwiki/CGI.pm) perl(Kwiki/Display.pm) perl(Kwiki/Plugin.pm) perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(XML/Atom.pm) perl(XML/Atom/Content.pm) perl(XML/Atom/Entry.pm) perl(XML/Atom/Feed.pm) perl(XML/Atom/Link.pm) perl(XML/Atom/Server.pm) perl(XML/LibXML.pm) perl(XML/XPath.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(mixin.pm)
# END SourceDeps(oneline)
%define module_version 0.15
%define module_name Kwiki-Atom
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Kwiki Atom Plugin
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AU/AUTRIJUS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This Kwiki plugin provides Atom 0.3 integration with Kwiki.

If you plan to offer your Atom feeds to the public, please consider installing
the Kwiki::Cache module, which can significantly reduce the server load.

For more info about this kind of integration, please refer to
http://www.xml.com/pub/a/2004/04/14/atomwiki.html.

Currently, this plugin has been tested with the following AtomAPI clients:

=over 4

=item * wxAtomClient.py

http://piki.bitworking.org/piki.cgi

=item * ecto

http://ecto.kung-foo.tv/

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/K*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- initial import by package builder

